* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Times New Roman", Times, serif;
}
img {
  width: 100%;
  height: auto;
  display: block;
}
.grid-container {
  display: grid;
  grid-template-columns: 100px 100px 1fr 100px 100px;
  grid-template-rows: 100px 100px 1fr 100px 100px;
}
@media (max-width: 768px) {
  .grid-container {
    grid-template-columns: 0 20px 1fr 20px 0;
  }
}

.item1 {
  grid-area: 1 / 1 / 3 / 6;
  background-color: #000000;
  display: flex;
  justify-content: space-between;
  padding: 30px;
}
.logo {
  width: 200px;
}
.left-menu {
  display: flex;
  flex-direction: column;
}
.left-menu-top {
  display: flex;
  gap: 10px;
}
.hide {
  border-bottom: 1px solid #dddddd;
}
.search-icon {
  color: #707070;
  background-color: transparent;
  border: none;
}
.search-button {
  border: none;
  background-color: inherit;
}
nav {
  display: flex;
  justify-content: center;
}
.icons {
  display: flex;
  gap: 10px;
}
.icons i {
  color: #fff;
}
.menu {
  width: 100%;
  display: flex;
  margin-top: 15px;
}
.menu ul {
  display: flex;
  gap: 10px;
  list-style: none;
}
.menu ul li a {
  color: #fff;
  text-decoration: none;
  border-bottom: 1px solid transparent;
}
.menu ul li a:hover {
  border-color: #dddddd;
}
@media (max-width: 375px) {
  .item1 {
    position: fixed;
    width: 100vw;
    height: 95vh;
    flex-direction: column;
    justify-content: start;
  }
  .left-menu {
    background-color: #000000;
    flex-direction: column-reverse;
  }
  .icons {
    margin-top: 40px;
  }
  .menu nav ul {
    flex-direction: column;
    background-color: #000000;
  }
  #back,
  #next {
    display: none;
  }
  .hide {
    display: none;
  }
}
.item2 {
  grid-area: 2 / 2 / 5 / 5;
}
.item3 {
  grid-area: 4 / 3 / 6 / 4;
  background-color: #000000;
  color: #fff;
}
.figcaption-text {
  text-align: center;
  margin-top: 100px;
}
#back,
#next {
  width: 50px;
  grid-area: 5 / 4 / 6 / 5;
  justify-self: end;
  margin: 15px;
}
#back {
  justify-self: start;
}

.main-container {
  max-width: 1000px;
  display: flex;
  margin: 30px auto 0;
}
.main-container article {
  margin-bottom: 30px;
}
.main-container section {
  margin-bottom: 30px;
  padding-bottom: 30px;
  border-bottom: 1px solid #dddddd;
}
.main-container section:last-child {
  border-bottom: 0;
}
#moreInfo {
  display: none;
}

main button {
  min-width: 100px;
  background-color: transparent;
  color: #000000;
  border: 1px solid #000000;
  padding: 10px 20px;
  transition: color 0.2s, background-color 0.2s;
}
main button:hover {
  background-color: #000000;
  color: #ffffff;
}
article {
  display: flex;
}
article img {
  width: 273px;
}
.article-info {
  margin: 10px;
}
.published-date {
  margin-top: 20px;
  color: #707070;
}
.detail {
  margin-top: 20px;
  line-height: 1.5;
}
.card-button {
  margin-top: 25px;
}
section {
  margin: 10px;
}
.mini-info {
  margin-top: 20px;
}
.visit-button {
  margin-top: 20px;
}
.pagination {
  display: flex;
  justify-content: space-between;
  padding: 20px 0;
  padding-top: 20px;
  border-top: 1px solid #dddddd;
  border-bottom: 1px solid #dddddd;
}
@media (max-width: 375px) {
  .main-container {
    flex-direction: column;
  }
}
@media (max-width: 375px) {
  article {
    flex-direction: column;
  }
}
.sponsors {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-template-rows: repeat(2, 1fr);
  padding: 0 10%;
  justify-items: center;
}
.sponsors-title {
  text-align: center;
  margin: 30px 0 30px;
}
.sponsors img {
  width: 50px;
}
@media (max-width: 375px) {
  .sponsors {
    grid-template-columns: repeat(3, 1fr);
  }
}
footer {
  background-color: #000000;
  color: #ffffff;
}
.footer-uper {
  display: flex;
  justify-content: space-between;
  padding: 30px;
  border-bottom: 1px solid #707070;
}
.footer-uper img {
  width: 20%;
}
.footer-icon {
  display: flex;
  gap: 15px;
}
.footer-detail {
  line-height: 1.5;
}
.footer-flex {
  display: flex;
  justify-content: space-between;
  padding: 30px;
  margin: 0 auto;
}
.world-visitor {
  color: #707070;
  margin-top: 8px;
}
.adress {
  color: #707070;
}
.instagram-feed {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
}
@media (max-width: 375px) {
  .instagram-feed {
    display: inline-grid;
  }
}
.world-cup-barista,
.insta-title,
.contact-here {
  margin: 20px;
}
.instagram-feed img {
  width: 50px;
}
.contact {
  line-height: 1.5;
}
@media (max-width: 375px) {
  .footer-flex {
    display: flex;
    flex-direction: column;
  }
}
